using VentaUniformes.Domain.Entities.User;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VentaUniformes.Domain.Entities.Sale;

namespace VentaUniformes.Persistencia.Configurations
{
    public class SaleBillConfiguration
    {
        public SaleBillConfiguration( EntityTypeBuilder<SaleBillEntity> entityBuilder) {
            entityBuilder.ToTable("SaleBill");
            entityBuilder.HasKey(x => x.Id);
            entityBuilder.Property(x => x.DNI).IsRequired();
            entityBuilder.Property(x => x.SaleId).IsRequired();
            entityBuilder.Property(x => x.Name).IsRequired();



        }
    }
}
